NetBeans и WTK2.5.2 в Linux64

Вот поставил NetBeans под Linux 64. Поставил WTK 2.5.2. Собрал проект. Ошибок нет. А программа в эмуляторе не запускается. Пишет:

wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)

Оказалось, что нужно использовать 32-битную яву для запуска midlet’ов в 64-х разрядном линуксе. для этого правим файл:

WTK2.5.2/bin/emulator

javapathtowtk=<путь к 32-х разрядной яве>

Вот тебе и совместимость 32 и 64-х разрядных приложений.

You May Also Like